Package org.apache.sysds.parser.dml

# Class DmlParser.DataIdentifierContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.sysds.parser.dml.DmlParser.DataIdentifierContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Direct Known Subclasses:
  `DmlParser.CommandlineParamExpressionContext`, `DmlParser.CommandlinePositionExpressionContext`, `DmlParser.IndexedExpressionContext`, `DmlParser.SimpleDataIdentifierExpressionContext`

Enclosing class:
  DmlParser

public static class DmlParser.DataIdentifierContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

Fields
Modifier and Type
Field
Description
`ExpressionInfo`
`dataInfo`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`DataIdentifierContext()`
`DataIdentifierContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`void`
`copyFrom(DmlParser.DataIdentifierContext ctx)`
`int`
`getRuleIndex()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dataInfo

public ExpressionInfo dataInfo

## Constructor Details

### DataIdentifierContext

public DataIdentifierContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

### DataIdentifierContext

public DataIdentifierContext()

## Method Details

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### copyFrom

public void copyFrom(DmlParser.DataIdentifierContext ctx)